<?php

namespace App\Models;

use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class VendorEmployee extends Authenticatable
{
    use Notifiable;

    protected $fillable = ['remember_token'];

    protected $hidden = [
        'password',
        'auth_token',
        'remember_token',
    ];

    public function store()
    {
        return $this->belongsTo(Store::class);
    }
    
    public function vendor()
    {
        return $this->belongsTo(Vendor::class);
    }

    public function role(){
        return $this->belongsTo(EmployeeRole::class,'employee_role_id');
    }
}
